# Class BasicTreeUI.CellEditorHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler

All Implemented Interfaces:
  `EventListener, CellEditorListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.CellEditorHandler extends Object implements CellEditorListener
Listener responsible for getting cell editing events and updating the tree accordingly.

## Constructor Summary

Constructors
Constructor
Description
`CellEditorHandler()`
Constructs a `CellEditorHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`editingCanceled(ChangeEvent e)`
Messaged when editing has been canceled in the tree.
`void`
`editingStopped(ChangeEvent e)`
Messaged when editing has stopped in the tree.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CellEditorHandler

public CellEditorHandler()
Constructs a `CellEditorHandler`.

## Method Details

### editingStopped

public void editingStopped(ChangeEvent e)
Messaged when editing has stopped in the tree.

Specified by:
  `editingStopped` in interface `CellEditorListener`
Parameters:
  `e` - the `ChangeEvent` containing the source of the event

### editingCanceled

public void editingCanceled(ChangeEvent e)
Messaged when editing has been canceled in the tree.

Specified by:
  `editingCanceled` in interface `CellEditorListener`
Parameters:
  `e` - the `ChangeEvent` containing the source of the event